<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY kdsoap-download-http
           "https://github.com/KDAB/KDSoap/releases/download/kdsoap-&kdsoap-version;/kdsoap-&kdsoap-version;.tar.gz">
  <!ENTITY kdsoap-download-ftp " ">
  <!ENTITY kdsoap-md5sum        "a4ef201402aaa1500439a2ed4359c0f3">
  <!ENTITY kdsoap-size          "11 MB">
  <!ENTITY kdsoap-buildsize     "49 MB">
  <!ENTITY kdsoap-time          "0.3 SBU (Using parallelism=4)">
]>

<sect1 id="kdsoap" xreflabel="kdsoap-&kdsoap-version;">
  <?dbhtml filename="kdsoap.html"?>

  <title>kdsoap-&kdsoap-version;</title>

  <indexterm zone="kdsoap">
    <primary sortas="a-kdsoap">kdsoap</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to kdsoap</title>

    <para>
      The <application>kdsoap</application> is Qt-based client-side and
      server-side SOAP component. It can be used to create client applications
      for web services and also provides the means to create web services
      without the need for any further component such as a dedicated web server.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&kdsoap-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&kdsoap-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &kdsoap-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &kdsoap-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &kdsoap-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &kdsoap-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">kdsoap Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="qt6"/>
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of kdsoap</title>

    <para>
      Install <application>kdsoap</application> by running the following
      commands:
    </para>

<screen><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

cmake -D CMAKE_INSTALL_PREFIX=/usr \
      -D CMAKE_BUILD_TYPE=Release  \
      -D KDSoap_QT6=ON             \
      -D CMAKE_INSTALL_DOCDIR=/usr/share/doc/kdsoap-&kdsoap-version; \
      .. &amp;&amp;
make</userinput></screen>

    <para>
      The package does not come with a test suite.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          kdwsdl2cpp-qt6
        </seg>
        <seg>
          libkdsoap-qt6.so and
          libkdsoap-server-qt6.so
        </seg>
        <seg>
          /usr/lib/cmake/KDSoap-Qt6,
          /usr/share/doc/kdsoap-&kdsoap-version;-qt6,
          /usr/include/KDSoapClient-Qt6. and
          /usr/include/KDSoapServer-Qt6
        </seg>
      </seglistitem>
    </segmentedlist>

  </sect2>

</sect1>
